Skip to main content
PUT
/
api
/
accounts
/
{id}
/
orders
/
{ticket}
Modify order
curl --request PUT \
  --url https://api.easierprop.com/api/accounts/{id}/orders/{ticket} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "price": 123,
  "sl": 123,
  "tp": 123
}
'
{
  "ok": true,
  "data": {
    "ticket": 12345678,
    "symbol": "EURUSD",
    "orderType": "Buy",
    "lots": 0.01,
    "openPrice": 1.08542,
    "stopLoss": 0,
    "takeProfit": 0,
    "profit": 3.2,
    "swap": 0,
    "commission": -0.07,
    "comment": "",
    "openTime": "2026-04-01T12:00:00",
    "closePrice": 0,
    "closeTime": "",
    "dealType": "Buy",
    "digits": 5,
    "contractSize": 100000,
    "volume": 0.01,
    "state": "Filled",
    "fillPolicy": "FillOrKill",
    "expirationType": "GTC",
    "expertId": 0,
    "dealInternalIn": 0,
    "dealInternalOut": 0,
    "orderInternal": 0,
    "partialCloseDeals": [
      {}
    ],
    "partialFillDeals": [
      {}
    ],
    "placedType": "ByClient",
    "profitRate": 1,
    "requestId": 0,
    "stopLimitPrice": 0,
    "fee": 0,
    "closeComment": "",
    "closeLots": 0,
    "closeVolume": 0,
    "openTimestampUTC": 1711972800,
    "closeTimestampUTC": 0,
    "expirationTime": ""
  }
}

Authorizations

X-API-Key
string
header
required

Client API key (prefixed with sk_)

Path Parameters

id
string<uuid>
required

Account ID

ticket
integer<int64>
required

Order/position ticket number

Body

application/json
price
number

New price (pending orders)

sl
number

New stop loss

tp
number

New take profit

Response

200 - application/json

Modification result

ok
boolean
Example:

true

data
object

Full order/position object as returned by the broker